<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
				'disabled' => 'hidden',
				'starttime' => 'starttime',
				'endtime' => 'endtime',
		),
		'searchFields' => 'title,shortdesc,longdesc,street,zip,city,country',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('camaliga') . 'Resources/Public/Icons/tx_camaliga_domain_model_content.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, title, shortdesc, longdesc, link, image, image2, caption2, image3, caption3, image4, caption4, image5, caption5, street, zip, city, country, latitude, longitude, phone, mobile, email, custom1, custom2, custom3, mother',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, title, shortdesc, longdesc;;;richtext:rte_transform[mode=ts_links], link, image;;2, street;;3, phone;;4, custom1;;5, mother,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
		'2' => array('showitem' => 'image2, caption2,--linebreak--, image3, caption3,--linebreak--, image4, caption4,--linebreak--, image5, caption5'),
		'3' => array('showitem' => 'zip, city,--linebreak--, country,--linebreak--, latitude, longitude'),
		'4' => array('showitem' => 'mobile, email'),
		'5' => array('showitem' => 'custom2, custom3'),
	),
	'columns' => array(
			'sys_language_uid' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
					'config' => array(
							'type' => 'select',
							'foreign_table' => 'sys_language',
							'foreign_table_where' => 'ORDER BY sys_language.title',
							'items' => array(
									array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
									array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
							),
					),
			),
			'l10n_parent' => array(
					'displayCond' => 'FIELD:sys_language_uid:>:0',
					'exclude' => 1,
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
					'config' => array(
							'type' => 'select',
							'items' => array(
									array('', 0),
							),
							'foreign_table' => 'tx_camaliga_domain_model_content',
							'foreign_table_where' => 'AND tx_camaliga_domain_model_content.pid=###CURRENT_PID### AND tx_camaliga_domain_model_content.sys_language_uid IN (-1,0)',
					),
			),
			'l10n_diffsource' => array(
					'config' => array(
							'type' => 'passthrough',
					),
			),
			't3ver_label' => array(
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'max' => 255,
					)
			),
			'hidden' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
					'config' => array(
							'type' => 'check',
					),
			),
			'starttime' => array(
					'exclude' => 1,
					'l10n_mode' => 'mergeIfNotBlank',
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
					'config' => array(
							'type' => 'input',
							'size' => 13,
							'max' => 20,
							'eval' => 'datetime',
							'checkbox' => 0,
							'default' => 0,
							'range' => array(
									'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
							),
					),
			),
			'endtime' => array(
					'exclude' => 1,
					'l10n_mode' => 'mergeIfNotBlank',
					'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
					'config' => array(
							'type' => 'input',
							'size' => 13,
							'max' => 20,
							'eval' => 'datetime',
							'checkbox' => 0,
							'default' => 0,
							'range' => array(
									'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
							),
					),
			),
			'title' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.title',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim,required'
					),
			),
			'shortdesc' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.shortdesc',
					'config' => array(
							'type' => 'text',
							'cols' => 40,
							'rows' => 3,
							'eval' => 'trim'
					),
			),
			'longdesc' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.longdesc',
					'config' => array(
							'type' => 'text',
							'cols' => 40,
							'rows' => 14,
							'eval' => 'trim',
							'wizards' => array(
									'RTE' => array(
											'icon' => 'wizard_rte2.gif',
											'notNewRecords'=> 1,
											'RTEonly' => 1,
											'module' => array(
													'name' => 'wizard_rich_text_editor',
													'urlParameters' => array(
															'mode' => 'wizard',
															'act' => 'wizard_rte.php'
													)
											),
											'title' => 'LLL:EXT:cms/locallang_ttc.xlf:bodytext.W.RTE',
											'type' => 'script'
									)
							)
					),
			),
			'link' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.link',
					'config' => array (
							'type'     => 'input',
							'size'     => '25',
							'max'      => '255',
							'checkbox' => '',
							'eval'     => 'trim',
							'wizards' => array(
									'link' => array(
											'type' => 'popup',
											'title' => 'LLL:EXT:cms/locallang_ttc.xlf:header_link_formlabel',
											'icon' => 'link_popup.gif',
											'module' => array(
													'name' => 'wizard_element_browser',
													'urlParameters' => array(
															'mode' => 'wizard'
													)
											),
											'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
									)
							),
							'softref' => 'typolink'
					)
			),
			'image' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.image',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'file',
							'uploadfolder' => 'uploads/tx_camaliga',
							'show_thumbs' => 1,
							'size' => 1,
							'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
							'disallowed' => '',
							'minitems' => 0,
							'maxitems' => 1,
					),
			),
			'image2' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.image2',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'file',
							'uploadfolder' => 'uploads/tx_camaliga',
							'show_thumbs' => 1,
							'size' => 1,
							'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
							'disallowed' => '',
							'minitems' => 0,
							'maxitems' => 1,
					),
			),
			'caption2' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.caption2',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'image3' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.image3',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'file',
							'uploadfolder' => 'uploads/tx_camaliga',
							'show_thumbs' => 1,
							'size' => 1,
							'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
							'disallowed' => '',
							'minitems' => 0,
							'maxitems' => 1,
					),
			),
			'caption3' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.caption3',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'image4' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.image4',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'file',
							'uploadfolder' => 'uploads/tx_camaliga',
							'show_thumbs' => 1,
							'size' => 1,
							'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
							'disallowed' => '',
							'minitems' => 0,
							'maxitems' => 1,
					),
			),
			'caption4' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.caption4',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'image5' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.image5',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'file',
							'uploadfolder' => 'uploads/tx_camaliga',
							'show_thumbs' => 1,
							'size' => 1,
							'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
							'disallowed' => '',
							'minitems' => 0,
							'maxitems' => 1,
					),
			),
			'caption5' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.caption5',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'street' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.street',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'zip' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.zip',
					'config' => array(
							'type' => 'input',
							'size' => 10,
							'eval' => 'trim'
					),
			),
			'city' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.city',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'country' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.country',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'phone' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.phone',
					'config' => array(
							'type' => 'input',
							'size' => 25,
							'eval' => 'trim'
					),
			),
			'mobile' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.mobile',
					'config' => array(
							'type' => 'input',
							'size' => 25,
							'eval' => 'trim'
					),
			),
			'email' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.email',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'latitude' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.latitude',
					'config' => array(
							'type' => 'input',
							'size' => 15,
							'default' => '0.0000000',
							'eval' => 'tx_camaliga_double7'
					),
			),
			'longitude' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.longitude',
					'config' => array(
							'type' => 'input',
							'size' => 15,
							'default' => '0.0000000',
							'eval' => 'tx_camaliga_double7'
					),
			),
			'custom1' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.custom1',
					'config' => array(
							'type' => 'input',
							'size' => 25,
							'eval' => 'trim'
					),
			),
			'custom2' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.custom2',
					'config' => array(
							'type' => 'input',
							'size' => 25,
							'eval' => 'trim'
					),
			),
			'custom3' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.custom3',
					'config' => array(
							'type' => 'input',
							'size' => 30,
							'eval' => 'trim'
					),
			),
			'mother' => array(
					'exclude' => 0,
					'label' => 'LLL:EXT:camaliga/Resources/Private/Language/locallang_db.xlf:tx_camaliga_domain_model_content.mother',
					'config' => array(
							'type' => 'group',
							'internal_type' => 'db',
							'allowed' => 'tx_camaliga_domain_model_content',
							'size' => '1',
							'maxitems' => '1',
							'minitems' => '0',
							'show_thumbs' => '0',
							'wizards' => array(
									'suggest' => array(
											'type' => 'suggest',
									),
							),
					),
			),
	),
);